{
  "type" : "record",
  "name" : "Rearrangement",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "leftCoordinates",
    "type" : {
      "type" : "record",
      "name" : "Coordinates",
      "fields" : [ {
        "name" : "assembly",
        "type" : {
          "type" : "enum",
          "name" : "Assembly",
          "doc" : "The reference genome assembly",
          "symbols" : [ "GRCh38", "GRCh37" ]
        }
      }, {
        "name" : "chromosome",
        "type" : "string"
      }, {
        "name" : "start",
        "type" : "int"
      }, {
        "name" : "end",
        "type" : "int"
      }, {
        "name" : "ciStart",
        "type" : [ "null", {
          "type" : "record",
          "name" : "ConfidenceInterval",
          "fields" : [ {
            "name" : "left",
            "type" : "int"
          }, {
            "name" : "right",
            "type" : "int"
          } ]
        } ]
      }, {
        "name" : "ciEnd",
        "type" : [ "null", "ConfidenceInterval" ]
      } ]
    }
  }, {
    "name" : "rightCoordinates",
    "type" : "Coordinates"
  }, {
    "name" : "orientation",
    "type" : {
      "type" : "enum",
      "name" : "Orientation",
      "symbols" : [ "start_start", "start_end", "end_end" ]
    }
  }, {
    "name" : "leftInsSeq",
    "type" : [ "null", "string" ]
  }, {
    "name" : "rightInsSeq",
    "type" : [ "null", "string" ]
  } ]
}
